QGIS Application - Bug report #20829
Snapping options in meters rounded to integers
2018-12-18 09:09 AM - Hugo Mercier

Status: Closed

Priority: Normal

Assignee: Loic BARTOLETTI
Category: GUI

Affected QGIS version:3.4.2
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution:

Copied to github as #: 28648

Description

Snapping options expressed in map units (meters) in basic mode (not advanced) are rounded to integers, which may be a problem if you
need to snap a something under a meter (say 10 cm), that gets rounded to 0.

In advanced mode, there is no rounding and it works fine.

My environment has a French local, but | also tested by launching QGIS with LANG=C and observe the same problem.

Associated revisions

Revision 50c9b239 - 2019-02-20 02:02 AM - Loic BARTOLETTI

[BUGFIX] fixes #20829 Snapping options in meters rounded to integers

Revision d3eaa9b8 - 2019-02-20 05:50 PM - Loic BARTOLETTI

[BUGFIX] fixes #20829 Snapping options in meters rounded to integers

(cherry picked from commit 50c9b2394e5b62a2421b0241799577f011a6de32)

History

#1 - 2019-02-13 11:07 AM - Loic BARTOLETTI
- Operating System deleted (linux)

- Assignee set to Loic BARTOLETTI

- Status changed from Open to In Progress

#2 - 2019-02-20 02:01 AM - Loic BARTOLETTI
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|50c9b2394e5b62a2421b0241799577f011a6de32.
